<template>
    <q-item class="phone-item">
        <q-item-section>
            <q-item-label><b>{{ user.Name }}</b>
                <span class="currentUser" v-if="isCurrentUser">{{ $t('admins.you') }}</span>
            </q-item-label>
            <q-item-label><small>{{ user.Email }}</small></q-item-label>
        </q-item-section>
        <q-item-section>
            <q-item-label overline>{{ user.Country }}</q-item-label>
            <q-item-label>{{ user.Phone }}</q-item-label>
        </q-item-section>

        <q-item-section side>
            <q-item-label>
                <q-icon v-if="isCurrentUser || user.IsSuperAdmin" name="lock" />
                <q-checkbox :disable="isCurrentUser || user.IsSuperAdmin" :value="user.IsAdmin || false"
                    @input="(newVal) => handleChange(newVal)" />
            </q-item-label>
        </q-item-section>
    </q-item>
</template>
 
<script>
import { auth } from "../firebase";

export default {
    props: {
        user: {
            required: true
        },
        userId: {
            required: true
        },
        onChange: {
            required: true
        }
    },
    methods: {
        handleChange(newVal)
        {
            this.onChange(this.userId, newVal);
        },
    },
    computed: {
        isCurrentUser()
        {
            return auth.currentUser.uid == this.userId;
        }
    }
};
</script>
<style scoped>
.phone-item {
    width: 100%;
}

.text-overline {
    letter-spacing: normal;
}

.currentUser {
    color: white;
    background: green;
    margin-left: 10px;
    padding: 5px;
    border-radius: 8px;
}
</style>